package OLE;

# helper routines. see ntole.cpp for all the gory stuff.

sub AUTOLOAD {
    my( $self ) = shift;
    $AUTOLOAD =~ s/.*:://o;
  if ( main::Win32OLEDispatch( $self, $AUTOLOAD, $fReturn, @_ ) ) {
      return $fReturn;
  } else {
      return undef;
  }
}

sub new {
    my( $class ) = shift;
    my( $class ) = shift if $class eq 'OLE';
    my( $object );
    if ( main::Win32OLECreateObject( $class, $object ) ) {
	return $object;
    } else {
	return undef;
    }
}

sub DESTROY {
    my( $self ) = shift;
  main::Win32OLEDestroyObject( $self );
    return undef;
}

*CreateObject = \&new;

1;
